<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "exhibidor".
 *
 * @property int $id
 * @property string $cli_codigo
 * @property string $pro_codigo
 * @property int $cantidad
 * @property string $fecha_actualizacion
 *
 * @property Cliente $cliCodigo
 * @property Producto $proCodigo
 */
class Exhibidor extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'exhibidor';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['cli_codigo', 'pro_codigo', 'cantidad', 'fecha_actualizacion'], 'required'],
            [['cantidad'], 'integer'],
            [['fecha_actualizacion'], 'safe'],
            [['cli_codigo'], 'string', 'max' => 30],
            [['pro_codigo'], 'string', 'max' => 20],
            [['cli_codigo'], 'exist', 'skipOnError' => true, 'targetClass' => Cliente::className(), 'targetAttribute' => ['cli_codigo' => 'codigo']],
            [['pro_codigo'], 'exist', 'skipOnError' => true, 'targetClass' => Producto::className(), 'targetAttribute' => ['pro_codigo' => 'codigo']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'cli_codigo' => 'Cli Codigo',
            'pro_codigo' => 'Pro Codigo',
            'cantidad' => 'Cantidad',
            'fecha_actualizacion' => 'Fecha Actualizacion',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCliCodigo()
    {
        return $this->hasOne(Cliente::className(), ['codigo' => 'cli_codigo']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProCodigo()
    {
        return $this->hasOne(Producto::className(), ['codigo' => 'pro_codigo']);
    }
}
